#!/bin/bash

set -e 

tag="$REGISTRY/$SERVICE:${COMMIT_SHA:0:10}"
latest_tag="$REGISTRY/$SERVICE:latest"

if [[ -n $DEBUG ]] 
then
  echo "debug:"
  echo "  REGISTRY: $REGISTRY"
  echo "  SERVICE: $SERVICE"
  echo "  COMMIT_SHA: $COMMIT_SHA"
  echo "  TMP: $TMP"
fi

echo "docker: logging in"
docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD

DOCKER_BUILDKIT=1 docker build -t "$tag" --build-arg BUILDKIT_INLINE_CACHE=1 --cache-from $latest_tag -f "$TMP/build_release.Dockerfile" .
docker tag "$tag" "$latest_tag"

